---

- when: not linctl_ha
  name: Start and enable the service
  service: name=linstor-controller state=started enabled=True
  register: linctl_started
  tags: drbd

- name: Handle log janitor timer
  systemd: name=linstor-controller-logs-janitor.timer state=started enabled=True
  tags: drbd

- when: linctl_ha
  block:
    - name: Ensure the service is disabled and managed by drbd-reactor
      service: name=linstor-controller enabled=False

    - name: Ensure the data mount unit is disabled
      systemd: name=var-lib-linstor.mount enabled=False
  tags: drbd
